# Uses of Interface
org.eclipse.emf.compare.ide.ui.logical.IModelMinimizer.Registry

Packages that use IModelMinimizer.Registry
Package
Description
org.eclipse.emf.compare.ide.ui.internal
org.eclipse.emf.compare.ide.ui.internal.logical

## Uses of IModelMinimizer.Registry in org.eclipse.emf.compare.ide.ui.internal

Methods in org.eclipse.emf.compare.ide.ui.internal that return IModelMinimizer.Registry
Modifier and Type
Method
Description
`IModelMinimizer.Registry`
EMFCompareIDEUIPlugin.`getModelMinimizerRegistry()`
Returns the registry containing all known model minimizers.

## Uses of IModelMinimizer.Registry in org.eclipse.emf.compare.ide.ui.internal.logical

Classes in org.eclipse.emf.compare.ide.ui.internal.logical that implement IModelMinimizer.Registry
Modifier and Type
Class
Description
`class`
`ModelMinimizerRegistry`
A basic implementation of a registry for model minimizers that stores the model minimizers in a map with their respective class names.
Constructors in org.eclipse.emf.compare.ide.ui.internal.logical with parameters of type IModelMinimizer.Registry
Modifier
Constructor
Description
``
`ModelMinimizerRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, IModelMinimizer.Registry registry)`
Initialize a registry event listener for our handlers.